VkSubresourceLayout Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkDeviceSize | offset
VkDeviceSize | size
VkDeviceSize | rowPitch
VkDeviceSize | arrayPitch
VkDeviceSize | depthPitch

## Detailed Description

Definition at line 2234 of file vulkan_core.h.

## Field Documentation

## arrayPitch

VkDeviceSize VkSubresourceLayout::arrayPitch

Definition at line 2238 of file vulkan_core.h.

## depthPitch

VkDeviceSize VkSubresourceLayout::depthPitch

Definition at line 2239 of file vulkan_core.h.

## offset

VkDeviceSize VkSubresourceLayout::offset

Definition at line 2235 of file vulkan_core.h.

## rowPitch

VkDeviceSize VkSubresourceLayout::rowPitch

Definition at line 2237 of file vulkan_core.h.

## size

VkDeviceSize VkSubresourceLayout::size

Definition at line 2236 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h